import { AuthToken, AuthTokenConfig, ManagementToken, ManagementTokenConfig } from "../types";
export default class AuthService {
    private accessKey;
    private secret;
    private managementToken?;
    constructor(accessKey: string, secret: string);
    /**
     * Management token allows to make API calls to 100ms backend.
     * @returns Management token of type `ManagementToken`
     */
    getManagementToken(tokenConfig?: ManagementTokenConfig): Promise<ManagementToken>;
    /**
     * Auth Token allows for joining Room on client side.
     * @returns Auth token of type `AuthToken`
     */
    getAuthToken(tokenConfig: AuthTokenConfig): Promise<AuthToken>;
    private generateToken;
    private isTokenExpired;
    private signAndGetJwt;
}
