/**
 * Utility functions to parse the response and cast date strings
 * to proper `Date` objects.
 *
 * @internal
 */
export declare function castDateFields<T>(payload: Record<string, any>): T;
/**
 * Utility functions to serializes the query params to construct
 * the query param string, with proper support for arrays.
 *
 * @internal
 * @remarks
 * Query params: `{ foo = [1,2,3] }`
 * - **Without serializeQueryParams**: `?foo[]=1&foo[]=2&foo[]=3`
 * - **With serializeQueryParams**: `?foo=1&foo=2&foo=3`
 */
export declare function serializeQueryParams(params: any): string;
